package com.blazinggames.retro.modern.search;

// Spelchan imports
import com.blazinggames.urcl.URCLApplet;
import com.blazinggames.urcl.ui.*;

// Retro imports
import com.blazinggames.retro.modern.Title;

/**
 * Ultimate Retro Project Episode 6: Modern Nuclear Terrorism
 * Copyright (C) 2001, 2003-2004 Blazing Games Inc.
 * 
 * The applet version of Modern Nuclear Terrorism
 * 
 * --------------------------------------------------------------------
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Billy D. Spelchan
 * @version 1.00.021025
 */
public class ModernNukeApplet
extends URCLApplet
{
    // *********************
    // ***** CONSTANTS *****
    // *********************

    private static final String VERSION =  "1.10.040101";
    private static final String NAME = "Modern Nuclear Terrorism";
    private static final String COPYRIGHT = "Copyright "+(char)169+"  2001,2004 Blazing Games Inc. All Rights Reserved.";
    
    NukeDisplay _game;

    protected void initDisplays()
    {
        System.out.println(NAME + " Version " + VERSION);
        System.out.println(COPYRIGHT);
        _titleDisplay = new Title("06");
        _titleDisplay.initialize(this);
        _game = new NukeDisplay();
        _game.initialize(this);
    }

    public String getAppletInfo()
    {
        return NAME + " version " + VERSION +" " + COPYRIGHT;
    }

    public void displayEvent(Display caller, String command)
    {
        super.displayEvent(caller, command);

        if (command.startsWith("NUKE_LEVEL"))
        {
            String s = command.substring(command.lastIndexOf(" ")+1);
            int n = Integer.parseInt(s);
            _game.setLevel(n);
            showDisplay(2);
        }
        else if (command.startsWith("NUKE_TITLE"))
        {
            showDisplay(1);
        }
    }

    protected Display getDisplay(int id)
    {
        if (id == 2)
            return _game;
        else
            return super.getDisplay(id);
    }

    public String getName()
    {
        return NAME;
    }
}
